This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 516464

Summary: Review Request: adtool - Active Directory administration utility for Unix
Product: [Fedora] Fedora Reporter: Ashay Humane <ashay.humane>
Component: Package ReviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bruno, fedora-package-review, notting, sundaram, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-21 00:15:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Ashay Humane 2009-08-09 19:10:51 EDT
Spec URL: http://ashay.info/rpm/adtool.spec
SRPM URL: http://ashay.info/rpm/adtool-1.3.2-1.fc11.src.rpm

Description: adtool is a unix command line utility for Active Directory
administration. Features include user and group creation, deletion, modification, password setting and directory query and search capabilities.

This is my second package, first one is yet to be sponsored. First one: https://bugzilla.redhat.com/show_bug.cgi?id=513541
Comment 1 Susi Lehtola 2009-08-10 02:52:19 EDT
Taking over review.
Comment 2 Susi Lehtola 2009-08-10 02:52:40 EDT
Ashay: please fill in your full name in bugzilla.
Comment 3 Susi Lehtola 2009-08-10 12:25:08 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- Use one of the time stamp keeping versions at
https://fedoraproject.org/wiki/PackagingTricks#Convert_encoding_to_UTF-8
to convert the encoding.
- You shouldn't need to run
 chmod 0644 tests/test.sh
shipping executable files in %doc is OK.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSWORK
- No license is mentioned anywhere in the source code or documents.
- GPLv2 license is attached, so the package is assumed to be under the GPL.
=> License tag must be GPL+.
* You should contact upstream and ask them to add license headers to the source code.
https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 4 Ashay Humane 2009-08-11 12:34:14 EDT
I've fixed the iconv timestamp issue.

I'm now keeping the exe script in doc. That gives a rpmlint warning. If that's Ok, then great...

The license is GPLv2 in the "COPYING" file provided by upstream.

http://ashay.info/rpm/adtool.spec
http://ashay.info/rpm/adtool-1.3.2-2.fc11.src.rpm


Thanks
Comment 5 Susi Lehtola 2009-08-11 12:53:38 EDT
(In reply to comment #4)
> The license is GPLv2 in the "COPYING" file provided by upstream.

No, "COPYING" contains the GPLv2 license, but there isn't a mention anywhere that specifies the license of adtool. See comment #3.
Comment 6 Ashay Humane 2009-08-21 18:04:06 EDT
The upstream author was kind enough to change the License in the source files as  I requested.

http://ashay.info/rpm/adtool.spec
http://ashay.info/rpm/adtool-1.3.3-1.fc11.src.rpm

Thank you
Comment 7 Susi Lehtola 2009-08-24 08:56:47 EDT
The license tag is still incorrect, instead of GPLv2 it should be GPLv2+ as the license statement is

 * This file may be used subject to the terms and conditions of the
 * GNU Library General Public License Version 2, or any later version
 * at your option, as published by the Free Software Foundation.

**

Restore the 
  chmod 0644 tests/test.sh
in %prep, it is needed after all.
Comment 8 Susi Lehtola 2009-08-24 09:09:08 EDT
Oh, and change the description to

adtool is a unix command line utility for Active Directory administration.
Features include user and group creation, deletion, modification, password
setting and directory query and search capabilities.

(you can use longer lines without getting any warnings)
Comment 9 Ashay Humane 2009-08-25 11:01:53 EDT
Alright... made License and chmod changes:

http://ashay.info/rpm/adtool.spec
http://ashay.info/rpm/adtool-1.3.3-2.fc11.src.rpm

Thanks
Comment 10 Susi Lehtola 2009-08-25 11:06:07 EDT
The package has been

APPROVED


! I could not test the operation as I don't have access to an AD server.
Comment 11 Bruno Wolff III 2009-09-23 18:32:53 EDT
I tested it against an AD server and was able to modify group membership and get lists of users. So it seems to really work. I haven't been able to figure out how to do some stuff, but I have just started playing with it.
Comment 12 Rahul Sundaram 2009-09-24 05:41:16 EDT
Akshay, you need to apply for cvs next

http://fedoraproject.org/wiki/CVS_admin_requests
Comment 13 Susi Lehtola 2010-01-01 17:59:27 EST
ping ashay
Comment 14 Jason Tibbitts 2010-01-21 00:15:11 EST
It's been months with no response, and the submitter dropped another review, so I'm going to go ahead and close this.